List beneficiaries
curl --request GET \
--url https://api.prod.payana.cloud/public/api/v1/beneficiaries \
--header 'api-key: <api-key>'import requests
url = "https://api.prod.payana.cloud/public/api/v1/beneficiaries"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.prod.payana.cloud/public/api/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"reference": "be07b610-c6f6-465c-8c43-c6469d3a585f",
"name": "Acme Inc.",
"type": "supplier",
"email": "[email protected]",
"phone_number": null,
"identifier_type": "NIT",
"identifier_number": "112233449",
"payment_terms": null,
"fiscal_address": null,
"contact_information": [
{
"type": "email",
"value": "[email protected]"
},
{
"type": "phone",
"value": "+5725706683"
}
],
"bank_accounts": [
{
"reference": "35034bf9-babf-45c1-b9d1-c7267e2e02f0",
"bank_reference": "8b1895e2-5b13-4fa1-9633-382639b6d0e3",
"bank_name": "Banco de Bogotá",
"account_number": "999999999"
}
],
"created_at": "2025-06-01T18:00:35.194+00:00",
"updated_at": "2025-06-01T18:00:35.194+00:00"
}
],
"total": 1,
"current_page": 1,
"page_size": 25,
"total_pages": 1
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "The request contains invalid data",
"details": {
"amount": [
"Amount must be greater than 0"
],
"beneficiary_id": [
"Beneficiary does not exist"
]
}
}
}Beneficiaries
List Beneficiaries
Lista beneficiarios paginados y permite filtrar por nombre.
GET
/
beneficiaries
List beneficiaries
Authorizations
API key provista por Payana.
Query Parameters
Texto para buscar por nombre.
Página (1-indexed).
Required range:
x >= 1Cantidad de ítems por página.
Required range:
1 <= x <= 100⌘I